#include <iostream>

using namespace std;

int a[2000010];

int main()
{
	int n, k;
	
	cin >> n >> k;
	
	for(int i = 0; i < n; i++)
	{
		int A;
		
		cin >> A;
		
		a[A + n]++;
	}
	
	int s = 0;
	
	for(int i = 0; i <= 2 * n; i++) if(a[i] >= k) s++;
	
	cout << s << "\n";
	
	for(int i = 0; i <= 2 * n; i++)
		if(a[i] >= k) cout << i - n << " ";
	
	return 0;
}